Subject: bug#65134: [PATCH] * lisp/progmodes/js.el Fix js-ts-mode indent bug in JSX expressions

From: Vincenzo Pupillo <[email-masked]>
Date: Tue, 08 Aug 2023 11:22:29 +0200

Hi, 
I confirm the bug and that the patch fixes it.
Thank you Danny.

Vincenzo Pupillo 

In data lunedì 7 agosto 2023 22:10:13 CEST, Danny Freeman ha scritto:
> Tags: patch
> 
> 
> Hello,
> 
> I have a patch for a bug I found in js-ts-mode.
> When editing jsx blocks, the indentation does not work.
> 
> For example, in a file with the following file with JSX code in it
> and js-ts-mode enabled
> 
> ```
> function App() {
>   return (
>     <div className="App">
>     </div>
>   );
> }
> ```
> 
> placing your cursor at the end of the opening div tag and pressing ENTER
> does not indent, instead there is no indentation.
> 
> This patch corrects that by properly expanding the
> `js-jsx--treesit-indent-compatibility-bb1f97b' function, which returns
> some indent rules.